Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(3643)

Unified Diff: build.sh

Issue 660204: Upgrade to tpm-emulator version 0.7. (Closed)
Patch Set: Created 10 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « build.bat ('k') | config.h.in » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build.sh
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000000000000000000000000000000000000..d8b635e0916d6eded2967bfb01753f0c46036f11
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+BUILD_DIR="build"
+
+if [ "$1" == "clean" ]; then
+ rm -rf $BUILD_DIR
+fi
+
+if [ ! -d $BUILD_DIR ]; then
+ mkdir $BUILD_DIR || exit 1
+fi
+
+cd build
+cmake ../ #-DMTM_EMULATOR=ON
+make
+cd ..
+
+exit 0
+
« no previous file with comments | « build.bat ('k') | config.h.in » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698